Coding Variants
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/coding-variantsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/coding-variants"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/coding-variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"_id": "<string>",
"name": "<string>",
"ref": "<string>",
"alt": "<string>",
"protein_name": "<string>",
"protein_id": "<string>",
"gene_name": "<string>",
"transcript_id": "<string>",
"aapos": 123,
"hgvsp": "<string>",
"refcodon": "<string>",
"codonpos": 123,
"SIFT_score": 123,
"SIFT4G_score": 123,
"Polyphen2_HDIV_score": 123,
"Polyphen2_HVAR_score": 123,
"VEST4_score": 123,
"REVEL_score": 123,
"MutPred_score": 123,
"BayesDel_addAF_score": 123,
"BayesDel_noAF_score": 123,
"VARITY_R_score": 123,
"VARITY_ER_score": 123,
"VARITY_R_LOO_score": 123,
"VARITY_ER_LOO_score": 123,
"ESM1b_score": 123,
"AlphaMissense_score": 123,
"CADD_raw_score": 123,
"source": "<string>",
"source_url": "<string>",
"hgvsc": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Coding Variants
Retrieve coding variants annotations.
At least one of these fields is required: id, name, hgvsp, protein_id, uniprot_name, gene_name, transcript_id.
alt_amino_acid filters by the alternate amino acid at the given position (single-letter code, use * for stop codon).
Example: name = SAMD7_ENST00000335556_p.Gly253Asp_c.758_759delinsAC
id = SAMD7_ENST00000335556_p.Gly253Asp_c.758_759delinsAC,
hgvsp = p.Gly253Asp,
gene_name = SAMD7,
protein_id = ENSP00000334668,
uniprot_name = SAMD7_HUMAN,
amino_acid_position = 253 (range values are also available, e.g: range:0-2),
alt_amino_acid = D,
transcript_id = ENST00000335556.
The limit parameter controls the page size and can not exceed 25.
Pagination is 0-based.
Coding Variants
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/coding-variantsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/coding-variants"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/coding-variants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"_id": "<string>",
"name": "<string>",
"ref": "<string>",
"alt": "<string>",
"protein_name": "<string>",
"protein_id": "<string>",
"gene_name": "<string>",
"transcript_id": "<string>",
"aapos": 123,
"hgvsp": "<string>",
"refcodon": "<string>",
"codonpos": 123,
"SIFT_score": 123,
"SIFT4G_score": 123,
"Polyphen2_HDIV_score": 123,
"Polyphen2_HVAR_score": 123,
"VEST4_score": 123,
"REVEL_score": 123,
"MutPred_score": 123,
"BayesDel_addAF_score": 123,
"BayesDel_noAF_score": 123,
"VARITY_R_score": 123,
"VARITY_ER_score": 123,
"VARITY_R_LOO_score": 123,
"VARITY_ER_LOO_score": 123,
"ESM1b_score": 123,
"AlphaMissense_score": 123,
"CADD_raw_score": 123,
"source": "<string>",
"source_url": "<string>",
"hgvsc": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
A, C, D, E, F, G, H, I, K, L, M, N, P, Q, R, S, T, V, W, Y, * Response
Successful response